> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Supabase

> Integrate your application with the Supabase API

## 🚀 Quickstart

Connect to Supabase with Nango and see data flow in 2 minutes.

**1. Create the integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Supabase*.

**2. Connect Supabase**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> enter your **Project URL** and **secret key**. Later, you'll let your users do the same directly from your app.

**3. Call the Supabase API**

Make your first request to the Supabase REST API (query a table). Replace the placeholders below: use your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections), and replace `<your_table>` with your table name (e.g. `todos`, `users`).

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/rest/v1/<your_table>" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     endpoint: '/rest/v1/<your_table>',
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>'
> });
>
> console.log(res.data);
> ```

Or fetch credentials with the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To obtain your Project URL and secret key, follow the connect guide linked below.

## 📚 Supabase Integration Guides

* [Connect to Supabase](https://nango.dev/docs/api-integrations/supabase/connect)\
  Find your Project URL and secret key, then enter them in the Connect UI

Official docs: [Supabase API](https://supabase.com/docs/guides/api/quickstart)

## 🧩 Pre-built syncs & tools for Supabase

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

### Others

| Function name | Description | Type |
| - | - | - |
| `copy-storage-object` | Copy a storage object within or between buckets in Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-auth-user` | Create an auth user in Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-signed-upload-url` | Generate a signed URL that allows a client to upload a file directly to Supabase Storage without exposing the service role key. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-signed-url` | Generate a time-limited signed URL for accessing a private storage object. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-storage-bucket` | Create a storage bucket in Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-storage-object` | Upload a storage object to Supabase Storage. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-auth-factor` | Delete an MFA factor for a user in Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-auth-user` | Delete or archive a auth user in Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-storage-bucket` | Delete or archive a storage bucket in Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-storage-object` | Delete or archive a storage object in Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-table-rows` | Delete rows from a Supabase table. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `generate-auth-link` | Generate a magic link, OTP, invite, signup, or recovery link for a user. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-auth-user` | Retrieve a single auth user from Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-storage-bucket` | Retrieve a single storage bucket from Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-storage-object` | Retrieve metadata for a single storage object from Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `insert-table-row` | Insert a row into a Supabase table. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `invoke-rpc` | Call a Supabase Postgres function via PostgREST. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-auth-factors` | List MFA factors enrolled for a specific user in Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-auth-users` | List auth users from Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-storage-buckets` | List storage buckets from Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-storage-objects` | List storage objects from Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `query-table-rows` | Query rows from a Supabase table through PostgREST. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-auth-user` | Update an auth user in Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-storage-bucket` | Update a storage bucket in Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-storage-object` | Update a storage object in Supabase. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-table-rows` | Update rows in a Supabase table. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `upsert-table-row` | Insert or update a row in a Supabase table, merging on conflict. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `auth-users` | Sync auth users from Supabase. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `storage-buckets` | Sync storage buckets from Supabase | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `storage-objects` | Sync storage objects from Supabase. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `table-rows` | Sync rows from a configured Supabase table. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.